#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - owfs installation
#
# Creation   :  2014-08-25 Stephan Sanders
# Last update:  2014-08-25 Stephan Sanders
#
# Copyright (c) 2014-2014 Stephan Sanders, Stephan(at)genlog(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=owfs

# ---------------------------------------------------------------------------
# generate symbolic links stop
# ---------------------------------------------------------------------------
cd /etc/rc2.d

ln -sf ../init.d/${package_name} K12${package_name}

# ---------------------------------------------------------------------------
# add menu
# ---------------------------------------------------------------------------
/var/install/bin/add-menu                \
            setup.services.menu          \
            setup.services.${package_name}.menu   \
            "OWFS"

# ---------------------------------------------------------------------------
# Create default config
# ---------------------------------------------------------------------------
if [ -f "/etc/config.d/${package_name}" ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start package with update
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/${package_name}.sh 
    /etc/init.d/${package_name} --quiet restart
fi


exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
